#include "clip.h"

#define FNAME	"BLINKY"

CHIP8 chip8;

int
main(int argc, char* argv[])
{
	if(chip8_test(FNAME, 0) != 0) DIE();

	chip8_reset(&chip8);

	if(chip8_load(&chip8, FNAME) != 0) DIE();

	for(;;) {
		chip8_run(&chip8, 100);
		chip8_tick(&chip8, 10);
	}

	getchar();
}

